package com.xhpc.activity.mapper;

import com.xhpc.activity.domain.XhpcWorkOrderDomain;
import com.xhpc.activity.domain.XhpcWorkOrderUserDomain;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface XhpcWorkOrderMapper {

    List<Map<String, Object>> findOrderListByParams(@Param("params") Map params);

    XhpcWorkOrderDomain selectByTypeAndTitle(@Param("type")Integer type,@Param("title")String title);

    int insertOrderUser(@Param("domainList") List<XhpcWorkOrderUserDomain> domainList);

    int deleteByPrimaryKey(Long workOrderId);

    int insert(XhpcWorkOrderDomain record);

    int insertSelective(XhpcWorkOrderDomain record);

    XhpcWorkOrderDomain selectByPrimaryKey(Long workOrderId);

    int updateByPrimaryKeySelective(XhpcWorkOrderDomain record);

    int updateByPrimaryKey(XhpcWorkOrderDomain record);

    int updatePressOrderByPrimaryKey(XhpcWorkOrderDomain record);

    int deleteOrderUserByOrderId(Long orderId);

    int workOrderMessage(@Param("type")Integer type, @Param("time")String time);

    List<XhpcWorkOrderDomain> selectByAutoRun();
}